using System;
using System.Collections.Generic;
using System.ComponentModel;
using P4Lib;
using System.Windows.Forms;

// No comment for the window application...
namespace P4Win
{
    public partial class frmOptions : Form
    {
        public frmOptions()
        {
            this.InitializeComponent();
            this.LoadOptions();
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            frmMain.options.computerPlaysFirst = this.chkCompFirst.Checked;
            frmMain.options.diff = (Difficulty)Enum.Parse(typeof(Difficulty), this.cmbLevel.SelectedItem.ToString());
            frmMain.options.playerColor = this.panelColor.BackColor;
        }

        private void LoadOptions()
        {
            this.chkCompFirst.Checked = frmMain.options.computerPlaysFirst;
            this.panelColor.BackColor = frmMain.options.playerColor;
            this.cmbLevel.SelectedItem = frmMain.options.diff.ToString();
        }

        private void panelColor_Click(object sender, EventArgs e)
        {
            if (this.colorDialog.ShowDialog() == DialogResult.OK)
            {
                this.panelColor.BackColor = this.colorDialog.Color;
            }
        }
    }
}